<?php
#######################################
##    ПИТОМЦЫ ДЛЯ БТ/VERSION 1.0     ##
##         Спасибо за покупку        ##
##  Модуль был написан by TJcompany  ##
##         Исполнитель: TJersy       ##
##         Дата: 21.03.2015          ##
##  Любое распространение запрещено  ##
## Карается блокировкой вашего WMID  ##
##         Уважайте чужой труд.      ##
#######################################

include '../system/common.php';
include '../system/functions.php';
include '../system/user.php';
if(!isset($user)) header('location: /');
$title='Тренировка питомца';
include '../system/h.php';
echo "<div class='title'>$title</div>";
  ################
    function error($msg) { // Вывод message
	echo '<div class="msg"><center> '.$msg.' </center></div>';
    }
  ################
 
$mc = mysql_fetch_array(mysql_query("SELECT * FROM `user_pets` WHERE `id_user` = '$user[id]'"));
if(empty($mc))header('Location:/user');
// Улучшаем силу

if(isset($_GET['str'])){
     if($mc['tune_1'] == 10){
error('Умение полностью прокачено');
	 } else {
	     if($mc['tune_1'] >= 6){
		     if($user['g']  < p_1($mc['tune_1'])){
error('Недостаточно средств');
				 $b = 0;
			 } else {
			     $b = 1;
			 }
		 } else {
		     if($user['s']  < p_1($mc['tune_1'])){
error('Недостаточно средств');
				 $b = 3;
			 } else {
			     $b = 4;
			 }
		 }
		 
		 // Покупка и упргейд
		     // Снимаем бабос
		   if($b == 1){
		         mysql_query("update `users` set `g` = `g` - '".p_1($mc['tune_1'])."' where `id` = '$user[id]'");
			} elseif($b == 4) {
			     mysql_query("update `users` set `s` = `s` - '".p_1($mc['tune_1'])."' where `id` = '$user[id]'");
			}
			     // добавляем лс
			if($b == 1 or $b == 4){
				 mysql_query("update `users` set `str` = `str` + '".up_1($mc['tune_1'])."' where `id` = '$user[id]'");
				 mysql_query("update `user_pets` set `str` = `str` + '".up_1($mc['tune_1'])."', `tune_1` = `tune_1` + '1' where `id_pets` = '$mc[id_pets]' and  `id_user` = '$user[id]'");
				 header("location: ?");
			}
	 }
	
}
if(isset($_GET['vit'])){
     if($mc['tune_2'] == 10){
error('Умение полностью прокачено');
	 } else {
	     if($mc['tune_2'] >= 6){
		     if($user['g']  < p_2($mc['tune_2'])){
error('Недостаточно средств');
				 $b = 0;
			 } else {
			     $b = 1;
			 }
		 } else {
		     if($user['s']  < p_2($mc['tune_2'])){
error('Недостаточно средств');
				 $b = 3;
			 } else {
			     $b = 4;
			 }
		 }
		 
		 // Покупка и упргейд
		     // Снимаем бабос
		   if($b == 1){
		         mysql_query("update `users` set `g` = `g` - '".p_2($mc['tune_2'])."' where `id` = '$user[id]'");
			} elseif($b == 4) {
			     mysql_query("update `users` set `s` = `s` - '".p_2($mc['tune_2'])."' where `id` = '$user[id]'");
			}
			     // добавляем лс
			if($b == 1 or $b == 4){
				 mysql_query("update `users` set `vit` = `vit` + '".up_2($mc['tune_2'])."' where `id` = '$user[id]'");
				 mysql_query("update `user_pets` set `vit` = `vit` + '".up_2($mc['tune_2'])."', `tune_2` = `tune_2` + '1' where `id_pets` = '$mc[id_pets]' and  `id_user` = '$user[id]'");
				 header("location: ?");
			}
	 }
}
// Улучшаем поршни
if(isset($_GET['agi'])){
     if($mc['tune_3'] == 10){
error('Деталь полностью прокаченна');
	 } else {
	     if($mc['tune_3'] >= 6){
		     if($user['g']  < p_3($mc['tune_3'])){
error('Недостаточно средств');
				 $b = 0;
			 } else {
			     $b = 1;
			 }
		 } else {
		     if($user['s']  < p_3($mc['tune_3'])){
error('Недостаточно средств');
				 $b = 3;
			 } else {
			     $b = 4;
			 }
		 }
		 
		 // Покупка и упргейд
		     // Снимаем бабос
		   if($b == 1){
		         mysql_query("update `users` set `g` = `g` - '".p_3($mc['tune_3'])."' where `id` = '$user[id]'");
			} elseif($b == 4) {
			     mysql_query("update `users` set `s` = `s` - '".p_3($mc['tune_3'])."' where `id` = '$user[id]'");
			}
			     // добавляем лс
			if($b == 1 or $b == 4){
				 mysql_query("update `users` set `agi` = `agi` + '".up_3($mc['tune_3'])."' where `id` = '$user[id]'");
				 mysql_query("update `user_pets` set `agi` = `agi` + '".up_3($mc['tune_3'])."', `tune_3` = `tune_3` + '1' where `id_pets` = '$mc[id_pets]' and  `id_user` = '$user[id]'");
				 header("location: ?");
			}
	 }
}
if(isset($_GET['def'])){
     if($mc['tune_4'] == 10){
error('Умение полностью прокачено');
	 } else {
	     if($mc['tune_4'] >= 6){
		     if($user['g']  < p_4($mc['tune_4'])){
error('Недостаточно средств');
				 $b = 0;
			 } else {
			     $b = 1;
			 }
		 } else {
		     if($user['s']  < p_4($mc['tune_4'])){
error('Недостаточно средств');
				 $b = 3;
			 } else {
			     $b = 4;
			 }
		 }
		 
		 // Покупка и упргейд
		     // Снимаем бабос
		   if($b == 1){
		         mysql_query("update `users` set `g` = `g` - '".p_4($mc['tune_4'])."' where `id` = '$user[id]'");
			} elseif($b == 4) {
			     mysql_query("update `users` set `s` = `s` - '".p_4($mc['tune_4'])."' where `id` = '$user[id]'");
			}
			     // добавляем лс
			if($b == 1 or $b == 4){
				 mysql_query("update `users` set `def` = `def` + '".up_4($mc['tune_4'])."' where `id` = '$user[id]'");
				 mysql_query("update `user_pets` set `def` = `def` + '".up_4($mc['tune_4'])."', `tune_4` = `tune_4` + '1' where `id_pets` = '$mc[id_pets]' and  `id_user` = '$user[id]'");
				 header("location: ?");
			}
	 }
}

?>
<center><div class='content'>
<table cellpadding='0'  cellspacing='0'><tr>
<td valign='top'><img src='<?=$mc['img']?>' alt=''/></td>
<td valign='top' style='padding:0px 0px 0px 5px;'>
<?=$mc['name']?><br/>
<span style='color:#6f6f6f;'><small> Статы: <img src='/images/icon/str.png' alt='*'/> <?=$mc['str']?>  <img src='/images/icon/vit.png' alt='*'/> <?=$mc['vit']?> <img src='/images/icon/agi.png' alt='*'/> <?=$mc['agi']?> <img src='/images/icon/def.png' alt='*'/> <?=$mc['def']?>
<br/>
<a href="/pets/pet_sell.php"> Продать за <img src='/images/icon/gold.png' alt='*'/><?=cena_m2($mc['id'])?> и  <img src='/images/icon/silver.png' alt='*'/><?=cena_m($mc['id'])?> </a>
</span></td></tr></table></div></center>
<div class='line'></div> 

<?php
if($mc['tune_1'] != '10'){
?>
<div class='content'>
<img src='/images/icon/str.png' alt='*'/> Сила: <?=$mc['str']?> 
<font color="#999">(+<?=up_1($mc['tune_1'])?>)</font>
<br/><a href='?str' class='button'>Улучшить за <img src='/images/icon/<?=($mc['tune_1'] >= 6 ? gold:silver)?>.png' alt='*'/> <?=p_1($mc['tune_1'])?></a></div>
</div><div class='line'></div>
<?
}
?>

<?php
if($mc['tune_2'] != '10'){
?>
<div class='content'>
<img src='/images/icon/vit.png' alt='*'/> Жизнь: <?=$mc['vit']?> 
<font color="#999">(+<?=up_2($mc['tune_2'])?>)</font>
<br/><a href='?vit' class='button'>Улучшить за <img src='/images/icon/<?=($mc['tune_2'] >= 6 ? gold:silver)?>.png' alt='*'/> <?=p_2($mc['tune_2'])?></a></div>
</div><div class='line'></div>
<?
}
?>

<?php
if($mc['tune_3'] != '10'){
?>
<div class='content'>
<img src='/images/icon/agi.png' alt='*'/> Удача: <?=$mc['agi']?> 
<font color="#999">(+<?=up_3($mc['tune_3'])?>)</font>
<br/><a href='?agi' class='button'>Улучшить за <img src='/images/icon/<?=($mc['tune_3'] >= 6 ? gold:silver)?>.png' alt='*'/> <?=p_3($mc['tune_3'])?></a></div>
</div><div class='line'></div>
<?
}
?>

<?php
if($mc['tune_4'] != '10'){
?>
<div class='content'>
<img src='/images/icon/def.png' alt='*'/> Защита: <?=$mc['def']?> 
<font color="#999">(+<?=up_4($mc['tune_4'])?>)</font>
<br/><a href='?def' class='button'>Улучшить за <img src='/images/icon/<?=($mc['tune_4'] >= 6 ? gold:silver)?>.png' alt='*'/> <?=p_4($mc['tune_4'])?></a></div>
</div><div class='line'></div>
<?
}
?>
<?php
if($mc['tune_1'] == '10' && $mc['tune_2'] == '10' && $mc['tune_3'] == '10' && $mc['tune_4'] == '10')error('Все умения прокачены на максимум');
include '../system/f.php';
?>